Subject: bug#11378: 24.1.50; Suggestion: Let M-i in isearch cycle `search-invisible'

From: "Drew Adams" <[email-masked]>
Date: Sun, 29 Apr 2012 08:32:01 -0700

> I personally find the "search within hidden text without 
> opening it" to be a completely useless option, so I couldn't
> want to cycle between all 3 options, but only between nil and
> `open'.

FWIW, in isearch+.el I have a key that toggles between nil and the last non-nil
value of the option.  So if the user customizes the option to `open' then the
key toggles between `open' and nil.  But Michael might be right that some users
will want to switch between any of the 3 values.

> > So, it would be good if the user could change the value of
> > `search-invisible' as well directly from isearch.
> 
> I'm not sure I'd find it useful,

FWIW, I find the toggle useful.